$(function() {
    
    var $modals = $('[data-modal]'); 
    
    
    
    if ($modals.length) {

        var template =
            '<div class="modal fade" id="globalmodal" tabindex="-1" role="dialog" aria-hidden="true">' +
            '    <div class="modal-dialog modal-lg">' +
            '        <div class="modal-content">' +
            '            <div class="modal-header">' +
            '               <button aria-hidden="true" data-dismiss="modal" class="close" type="button">×</button>' +
            '                <h4 class="modal-title"></h4>' +
            '            </div>' +
            '            <div class="modal-body">' +
            '                <p>Loading...</p>' +
            '            </div>' +
            '            <div class="clearfix"></div>' +
            '            <div class="modal-footer">' +
            '               <button data-dismiss="modal" class="btn-u btn-u-default" type="button">Schließen</button>' +
            '            </div>' +
            '        </div>' +
            '   </div>' +
            '</div>';

        $('body').append($(template));

        var modal = $('#globalmodal');
    }

    $modals.click(function(event) {
        var $this = $(event.target).closest('[data-modal]');

        var loader = $('<i class="fa fa-spinner fa-spin"></i>');

        var url = $this.data('modal');

        if ($this.attr('href') != undefined && $this.attr('href') != '') {
            url = $this.attr('href');

            //nur anzeigen, wenn kein div (block-box)
            $this.append(loader);
        }

        $.ajax({
            url : url,
            method: 'GET',
            success: function(result) {
               var $res = $(result);

               var content = $res.find('#page-content').html();

               if (content.search('gform_body') ) {

                    $.getScript('/wp-content/plugins/gravityforms/js/gravityforms.min.js' )
                       .done(function() {
                           modal.find('.modal-body').html(content);
                       })
                       .fail(function() {
                            modal.find('.modal-body').html(content);
                       });

               } else {
                    modal.find('.modal-body').html(content);
               }

               var title = '';

               if ($res.find('h1').length) {
                   title = $res.find('h1').html();
               } else if ($res.find('title').length) {
                   title = $res.find('title').html();
               } else if ($res.find('h2').length) {
                   title = $($res.find('h2').get(0)).html();
               }

               modal.find('.modal-title').html(title);

               modal.modal();
               loader.remove();
            },
            error : function() {
               loader.remove();
            }
        });

        event.preventDefault();
        return false;

    });

});



